using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Input;
using EpsonPrinter.Enums;
using ESCPOS_NET.Emitters;

namespace EpsonPrinter.Services
{
    public class PrintAlignment
    {
        public byte[] GetTextAlignment(ICommandEmitter e, AlignmentEnum alignment)
        {
            if (alignment == AlignmentEnum.Left)
                return e.LeftAlign();

            if (alignment == AlignmentEnum.Right)
                return e.RightAlign();

            return e.CenterAlign();
        }
    }
}
